Development [ROM][OFFICIAL][barbet] LineageOS 19

Search This thread

aleasto

Senior Member
Jul 15, 2012
1,066
2,681
Milan
i9100
Samsung Galaxy S5
Thank you so much! I feel like a lot of the disparate information is beginning to come together in my mind. I have now the phone back to stock Andorid 11, and I will try to follow the LineageOS wiki precisely to try flashing Lineage again this weekend.

I read through this thread from the beginning and I am left with one thing I want to clarify. I am using Google Fi with an eSIM, and I see that the first post says gApps is required for that support: what I want to clarify is if that mean OFFICIAL gApps only (because it needs to identify you individually), or would something like microG or Open gApps work for an eSIM on this phone?
In this context GApps stands in for GMS (Google Mobile Services). You can use any GApps addon package you prefer. We suggest these.
MicroG may work, although it's not supported by LineageOS.
 

Klimon5

Senior Member
Sep 19, 2015
109
5
Huawei Nexus 6P
LG V30
Does this rom have ZRAM enabled? If so, what is the ZRAM swap file size? Also, the official lineage os installation guide for barbet states the following.


"Note: Outdated fastboot releases dropped legacy A/B support, so it might attempt to flash to boot__a / boot__b rather than boot_a / boot_b if you try to flash boot. In this case, you must update fastboot to a release newer than or equal to 31.0.2. Alternatively, you can manually specify which slot to flash to based on what slot fastboot failed to flash to. For example, if fastboot fails to flash to boot__a, you must flash to boot_a."

I am running linux mint on my desktop and the latest version for adb and fastboot is...
"1:8.1.0+r23-5ubuntu2"
This is after I run the commands "sudo apt-get install adb" & "sudo apt-get install fastboot". Both commands return that this is the latest version.

Is my version of fastboot new enough to avoid issues with the legacy A/B partition support in fastboot? If not, how can I specify which partiton to flash?(boot_a instead of boot __a). I plan on flashing this stock firmware from google before installing lineage os.
"11.0.0 (RD2A.211001.002, Oct 2021)"
 
Last edited:

aleasto

Senior Member
Jul 15, 2012
1,066
2,681
Milan
i9100
Samsung Galaxy S5
Does this rom have ZRAM enabled? If so, what is the ZRAM swap file size?
We have 2GB of zram swap

Also, the official lineage os installation guide for barbet states the following.


"Note: Outdated fastboot releases dropped legacy A/B support, so it might attempt to flash to boot__a / boot__b rather than boot_a / boot_b if you try to flash boot. In this case, you must update fastboot to a release newer than or equal to 31.0.2. Alternatively, you can manually specify which slot to flash to based on what slot fastboot failed to flash to. For example, if fastboot fails to flash to boot__a, you must flash to boot_a."

I am running linux mint on my desktop and the latest version for adb and fastboot is...
"1:8.1.0+r23-5ubuntu2"
This is after I run the commands "sudo apt-get install adb" & "sudo apt-get install fastboot". Both commands return that this is the latest version.

Is my version of fastboot new enough to avoid issues with the legacy A/B partition support in fastboot? If not, how can I specify which partiton to flash?(boot_a instead of boot __a). I plan on flashing this stock firmware from google before installing lineage os.
"11.0.0 (RD2A.211001.002, Oct 2021)"
It should not be an issue with this device in any case.
RD2A.211001.002, Oct 2021 is correct.
 

Klimon5

Senior Member
Sep 19, 2015
109
5
Huawei Nexus 6P
LG V30
We have 2GB of zram swap


It should not be an issue with this device in any case.
RD2A.211001.002, Oct 2021 is correct.

Can I disable zram? I assume this would require me to remove a line of text from a certain file? I understand it helps with apps retaining their memory state when out of physical memory; however, I prefer to turn it off for better battery life. I don't use too many apps at once.
 

aleasto

Senior Member
Jul 15, 2012
1,066
2,681
Milan
i9100
Samsung Galaxy S5
Can I disable zram? I assume this would require me to remove a line of text from a certain file? I understand it helps with apps retaining their memory state when out of physical memory; however, I prefer to turn it off for better battery life. I don't use too many apps at once.
You can remove the last line from /vendor/etc/fstab.sm7250, but you'll have to do that after every OTA update or set up an addon.d script to do that automatically.

It might be possible to disable it at startup with third party tools, but that's outside of my knowledge
 
  • Like
Reactions: Klimon5

Klimon5

Senior Member
Sep 19, 2015
109
5
Huawei Nexus 6P
LG V30
You can remove the last line from /vendor/etc/fstab.sm7250, but you'll have to do that after every OTA update or set up an addon.d script to do that automatically.

It might be possible to disable it at startup with third party tools, but that's outside of my knowledge
I've done that before. Thanks. Don't have my device yet so what does that last line in that in the fstab.sm7250 look like?
 

Klimon5

Senior Member
Sep 19, 2015
109
5
Huawei Nexus 6P
LG V30
Last edited:

Super Jamie

Senior Member
Oct 2, 2009
189
8
I notice the notificaion pulldown now says RQ3A.211011.001 which is a Pixel 5 redfin number, not the expected RD2A.211001.002 barbet number. Is it supposed to say that?

I don't think I've accidentally applied a redfin OTA. I've only used the built-in Lineage OTA updater to download official barbet nightlies.
 

TechNinja49

Senior Member
Aug 3, 2012
99
19
Thank you. Do I need to activate volte in the stock firmware before I flash LOS or will it work right away after I flash and setup LOS? Also, what version of magisk is necessary for successful root? I've read in this thread that a magisk canary build 23016 is necessary to avoid booting issues.
VoLTE should work out of the box coming from the stock rom. The stable version (23) of magisk works fine with LineageOS 18.1. I believe canary is only needed if you plan on using Android 12 based roms.

If you're rooting, instead of disabling zram why not change the swappiness to 1? That way it'll only be used if you're about to run out of ram.
 

Klimon5

Senior Member
Sep 19, 2015
109
5
Huawei Nexus 6P
LG V30
VoLTE should work out of the box coming from the stock rom. The stable version (23) of magisk works fine with LineageOS 18.1. I believe canary is only needed if you plan on using Android 12 based roms.

If you're rooting, instead of disabling zram why not change the swappiness to 1? That way it'll only be used if you're about to run out of ram.
I will take that into consideration. How can I change the swappiness to 1? I know of a third party app that lets me do this.
 

TechNinja49

Senior Member
Aug 3, 2012
99
19
Can anyone link to the correct Google Camera for Pixel 5a LineageOS? I don't know which one I should download.
I use this GCam mod, it's really good and tailored for the 5a. It includes manual override setting for a lot of options. I recommend enabling the HDR+ Enhanced option. This will force it to always use the better HDR algorithm at the cost of a second or two of processing after the photo is taken.
 

saibotnoob

Member
Dec 8, 2021
6
0
I use this GCam mod, it's really good and tailored for the 5a. It includes manual override setting for a lot of options. I recommend enabling the HDR+ Enhanced option. This will force it to always use the better HDR algorithm at the cost of a second or two of processing after the photo is taken.
Awesome! Thanks for the link! I didn't even know there was a mod community for the Google Camera. Very cool. A few questions? How does this mod differ from the official Google Camera apk?
 

saibotnoob

Member
Dec 8, 2021
6
0
Anyone having issues with QR Scanning with the Google Camera app on LineageOS? I guess since it uses Google Lens, I need extra dependencies or something?
 

aleasto

Senior Member
Jul 15, 2012
1,066
2,681
Milan
i9100
Samsung Galaxy S5
Google never pushed any google camera update for barbet to play store, since the phone already shipped with the latest available Android 11 version of google camera. You'll have to manually download it.

I've uploaded stock GoogleCamera.apk to sourceforge. Link in the opening post.
 

Klimon5

Senior Member
Sep 19, 2015
109
5
Huawei Nexus 6P
LG V30
I am running LOS without gapps. Why is the Google carrier services app pre-installed? I am able to disable the app but strangely, it re-enables itself! Never seen this before. Is this included because gapps packages don't include this app? Also, why is the google sim manager pre-installed? Is that for people who use e-sims on LOS?
 

Klimon5

Senior Member
Sep 19, 2015
109
5
Huawei Nexus 6P
LG V30
Will this rom be updated to support signature spoofing? I would like to use microg on this rom. Also, will there be a patch to get safety net working or has that finally been removed from the official magisk release?
 

thx1200

Inactive Recognized Developer
Will this rom be updated to support signature spoofing? I would like to use microg on this rom. Also, will there be a patch to get safety net working or has that finally been removed from the official magisk release?
The universal SafetyNet module for Magisk did the trick for me. It forces basic attestation (basically makes the phone look like a low end phone to SafetyNet). I think that means that some apps may not give you like 4K HD quality, but I checked a few of the big ones (NetFlix, for example) and HD is working fine there. The only thing that kind of sucks is it occasionally just stops working and you have to fix it by resetting Google Play Services which breaks Google Wear synced connections. But that's the price we pay for using a decent OS. :-/
 
  • Like
Reactions: MrPolite

Top Liked Posts

  • There are no posts matching your filters.
  • 1
    @aleasto The left bottom speaker is never used. Instead, the rom uses the top speaker.

    I updated to 12 when I noticed the issue but it's still there.

    Can someone check on their device so I know it's not just me? It's easy to miss this because the speakers still sound good.
    Only the bottom right grill is a speaker. The bottom left grill is a microphone!
  • 14
    2okPze5.png


    LineageOS is a free, community built, aftermarket firmware distribution of Android 11, which is designed to increase performance and reliability over stock Android for your device.

    LineageOS is based on the Android Open Source Project with extra contributions from many people within the Android community. It can be used without any need to have any Google application installed. LineageOS does still include various proprietary hardware-specific code.

    All the source code for LineageOS is available in the LineageOS Github repo. And if you would like to contribute to LineageOS, please visit out Gerrit Code Review. You can also view the Changelog for a full list of changes & features.

    Informations :
    • This ROM uses source built kernel, kernel modules, boot kernel modules (vendor_boot) and vendor image.
    • This ROM bundles the latest firmware so you don't have to worry about updating firmware.
    • To use the eSIM you need to have GApps
    Instructions :
    Downloads :
    Reporting Bugs
    • Grab a logcat right after the problem has occurred. (Please include at least a few pages of the log, not just the last few lines, unless you know what you're doing.)
    • If it is a random reboot, grab /sys/fs/pstore/*
    • If the problem disappears after running "setenforce 0" from a root shell, grab /data/misc/audit/audit.log
    Remember to provide as much info as possible. The more info you provide, the more likely that the bug will be solved.

    Known Issues
    • Google Play Store provides a very out of date version of Google Camera. You can use GoogleCamera.apk extracted from stock here
    Contributors
    mikeioannina
    aleasto
    The LineageOS team

    Source Code: https://github.com/LineageOS

    ROM OS Version: Android 12L
    6
    Official builds set to start on Thursday at https://download.lineageos.org/barbet
    6
    Two update questions:

    - I just got notice for OTA update. For the OTA updates, do we need to disable/uninstall Magisk before applying the update?

    - Is there a way to do a Nandroid (or similar) backup in recovery before applying an update so we can roll back if it goes wrong?
    If you installed Magisk by sideloading in recovery it will persist the update. Otherwise you'll need to reinstall it after the update if you want to keep root.
    3
    Source code temporarily on my github before it can be moved to the LineageOS organization
    3
    Thanks for putting this together so quickly! I've been running for a couple of days now with MindTheGapps and haven't noticed any significant issues. I'm now pretty darn satisfied with my new 5a (Even though it's a friggin chonk). I'm on Visible and I was able to just pop my SIM card in and everything worked. Wifi calling, texting, 5G connection, etc - all good.

    Only weird thing I've noticed is that after setting up fingerprints for device locksreen security I'm not able to then use fingerprint security within my other apps. For example - Chase app tells me "You haven't set up fingerprint sign in on this device", PayPal app says "We're having trouble confirming your fingerprint right now" and Bitwarden app doesn't present an option to enable "Unlock with Biometrics". So I'm using currrently using PINs for these apps which is a fine compromise for me - would be curious to know whether others have experienced this.

    There have been some changes to SafetyNet in the past couple of days that tripped ctsProfile on my Pixel 4a running official LineageOS but I was able to pass SafetyNet check in this ROM by installing kdrag0n's Universal SafetyNet Fix v2.0.0 and using MagiskHide Props Config to set device fingerprint to Pixel 5.
    I doubt you need to set device fingerprint to Pixel 5 for safetynet.

    Will fix fingerprint in apps in the next build now fixed